Subject: netif_receive_skb_list and interrupts enabled/disabled

From: Heiner Kallweit <[email-masked]>
Date: Tue, 26 Mar 2019 21:04:09 +0100

A question inspired by 0a25d92c6f4f ("dpaa2-eth: use netif_receive_skb_list"):
kerneldoc of netif_receive_skb_list states that interrupts should be
enabled. When used from NAPI context irqs typically are disabled.
And if the NAPI budget is fully consumed then interrupts don't get enabled
in the same NAPI poll loop. How is this supposed to play together?

Thanks, Heiner